System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.ICloneable System.IDisposable

Applications use paths to draw outlines of shapes, fill the interiors of shapes, and create clipping regions. The graphics engine maintains the coordinates of geometric shapes in a path in world coordinate space.

A path may be composed of any number of figures (subpaths). Each figure is either composed of a sequence of connected lines and curves or a geometric shape primitive. The starting point of a figure is the first point in the sequence of connected lines and curves. The ending point is the last point in the sequence. The starting and ending points of a geometric shape primitive are defined by the primitive specification.

A figure that consists of a sequence of connected lines and curves (whose starting and ending points may be coincident) is an open figure, unless it is closed explicitly. A figure can be closed explicitly, by using the method, which closes the current figure by connecting a line from the ending point to the starting point. A figure that consists of a geometric shape primitive is a closed figure.

For purposes of filling and clipping (for example, if a path is rendered using ), all open figures are closed by adding a line from the figure's first point to its last point.

A new figure is implicitly started when a path is created or when a figure is closed. A new figure is explicitly created when the method is called.

When a geometric shape primitive is added to a path, it adds a figure containing the geometric shape, and also implicitly starts a new figure. Consequently, there is always a current figure in a path. When lines and curves are added to a path, an implicit line is added as needed to connect the ending point of the current figure to the starting point of the new lines and curves to form a sequence of connected lines and curves.

A figure has a direction that describes how line and curve segments are traced between the starting point and the ending point. The direction is defined in the order that lines and curves are added to a figure, or is defined by the geometric shape primitive. The direction is used in determining the path interiors for clipping and fill.

Represents a series of connected lines and curves. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class with a value of .

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified enumeration.

  The enumeration that determines how the interior of this is filled.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified and arrays.

  An array of structures that defines the coordinates of the points that make up this .
  An array of enumeration elements that specifies the type of each corresponding point in the array.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the array with the specified and arrays.

  An array of structures that defines the coordinates of the points that make up this .
  An array of enumeration elements that specifies the type of each corresponding point in the array.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified and arrays and with the specified enumeration element.

  An array of structures that defines the coordinates of the points that make up this .
  An array of enumeration elements that specifies the type of each corresponding point in the array.
  A enumeration that specifies how the interiors of shapes in this are filled.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the array with the specified and arrays and with the specified enumeration element.

  An array of structures that defines the coordinates of the points that make up this .
  An array of enumeration elements that specifies the type of each corresponding point in the array.
  A enumeration that specifies how the interiors of shapes in this are filled.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added.

  If there are previous lines or curves in the figure, a line is added to connect the endpoint of the previous segment to the beginning of the arc.

  The arc is traced along the perimeter of the ellipse bounded by the specified rectangle. The starting point of the arc is determined by measuring clockwise from the x-axis of the ellipse (at the 0-degree angle) by the number of degrees in the start angle. The endpoint is similarly located by measuring clockwise from the starting point by the number of degrees in the sweep angle. If the sweep angle is greater than 360 degrees or less than -360 degrees, the arc is swept by exactly 360 degrees or -360 degrees, respectively.

  Appends an elliptical arc to the current figure.

  A that represents the rectangular bounds of the ellipse from which the arc is taken. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added.

  If there are previous lines or curves in the figure, a line is added to connect the endpoint of the previous segment to the beginning of the arc.

  The arc is traced along the perimeter of the ellipse bounded by the specified rectangle. The starting point of the arc is determined by measuring clockwise from the x-axis of the ellipse (at the 0-degree angle) by the number of degrees in the start angle. The endpoint is similarly located by measuring clockwise from the starting point by the number of degrees in the sweep angle. If the sweep angle is greater than 360 degrees or less than -360 degrees, the arc is swept by exactly 360 degrees or -360 degrees, respectively.

  Appends an elliptical arc to the current figure.

  A that represents the rectangular bounds of the ellipse from which the arc is taken. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added. To be added.

  If there are previous lines or curves in the figure, a line is added to connect the endpoint of the previous segment to the beginning of the arc.

  The arc is traced along the perimeter of the ellipse bounded by the specified rectangle. The starting point of the arc is determined by measuring clockwise from the x-axis of the ellipse (at the 0-degree angle) by the number of degrees in the start angle. The endpoint is similarly located by measuring clockwise from the starting point by the number of degrees in the sweep angle. If the sweep angle is greater than 360 degrees or less than -360 degrees, the arc is swept by exactly 360 degrees or -360 degrees, respectively.

  Appends an elliptical arc to the current figure.

  The x-coordinate of the upper-left corner of the rectangular region that defines the ellipse from which the arc is drawn. The y-coordinate of the upper-left corner of the rectangular region that defines the ellipse from which the arc is drawn. The width of the rectangular region that defines the ellipse from which the arc is drawn. The height of the rectangular region that defines the ellipse from which the arc is drawn. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added. To be added.

  If there are previous lines or curves in the figure, a line is added to connect the endpoint of the previous segment to the beginning of the arc.

  The arc is traced along the perimeter of the ellipse bounded by the specified rectangle. The starting point of the arc is determined by measuring clockwise from the x-axis of the ellipse (at the 0-degree angle) by the number of degrees in the start angle. The endpoint is similarly located by measuring clockwise from the starting point by the number of degrees in the sweep angle. If the sweep angle is greater than 360 degrees or less than -360 degrees, the arc is swept by exactly 360 degrees or -360 degrees, respectively.

  Appends an elliptical arc to the current figure.

  The x-coordinate of the upper-left corner of the rectangular region that defines the ellipse from which the arc is drawn. The y-coordinate of the upper-left corner of the rectangular region that defines the ellipse from which the arc is drawn. The width of the rectangular region that defines the ellipse from which the arc is drawn. The height of the rectangular region that defines the ellipse from which the arc is drawn. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  The cubic curve is constructed from the first point to the fourth point by using the second and third points as control points.

  If there is a previous line or curve segment in the figure, a line is added to connect the endpoint of the previous segment to the starting point of the cubic curve.

  Adds a cubic Bézier curve to the current figure.

  A that represents the starting point of the curve. A that represents the first control point for the curve. A that represents the second control point for the curve. A that represents the endpoint of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  The cubic curve is constructed from the first point to the fourth point by using the second and third points as control points.

  If there is a previous line or curve segment in the figure, a line is added to connect the endpoint of the previous segment to the starting point of the cubic curve.

  Adds a cubic Bézier curve to the current figure.

  A that represents the starting point of the curve. A that represents the first control point for the curve. A that represents the second control point for the curve. A that represents the endpoint of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` ``

  The cubic curve is constructed from the first point to the fourth point by using the second and third points as control points.

  If there is a previous line or curve segment in the figure, a line is added to connect the endpoint of the previous segment to the starting point of the cubic curve.

  Adds a cubic Bézier curve to the current figure.

  The x-coordinate of the starting point of the curve. The y-coordinate of the starting point of the curve. The x-coordinate of the first control point for the curve. The y-coordinate of the first control point for the curve. The x-coordinate of the second control point for the curve. The y-coordinate of the second control point for the curve. The x-coordinate of the endpoint of the curve. The y-coordinate of the endpoint of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` ``

  The cubic curve is constructed from the first point to the fourth point by using the second and third points as control points.

  If there is a previous line or curve segment in the figure, a line is added to connect the endpoint of the previous segment to the starting point of the cubic curve.

  Adds a cubic Bézier curve to the current figure.

  The x-coordinate of the starting point of the curve. The y-coordinate of the starting point of the curve. The x-coordinate of the first control point for the curve. The y-coordinate of the first control point for the curve. The x-coordinate of the second control point for the curve. The y-coordinate of the second control point for the curve. The x-coordinate of the endpoint of the curve. The y-coordinate of the endpoint of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `System.ParamArray` To be added: an object of type 'Drawing.Point []'

  The parameter specifies an array of endpoints and control points of the connected curves. The first curve is constructed from the first point to the fourth point in the array by using the second and third points as control points. In addition to the endpoint of the previous curve, each subsequent curve in the sequence needs exactly three more points: the next two points in the sequence are control points, and the third is the endpoint for the added curve.

  If there are previous lines or curves in the figure, a line is added to connect the endpoint of the previous segment to the starting point of the first cubic curve in the sequence.

  Adds a sequence of connected cubic Bézier curves to the current figure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added: an object of type 'Drawing.PointF []'

  The parameter specifies an array of endpoints and control points of the connected curves. The first curve is constructed from the first point to the fourth point in the array by using the second and third points as control points. In addition to the endpoint of the previous curve, each subsequent curve in the sequence needs exactly three more points: the next two points in the sequence are control points, and the third is the endpoint for the added curve.

  If there are previous lines or curves in the figure, a line is added to connect the endpoint of the previous segment to the starting point of the first cubic curve in the sequence.

  Adds a sequence of connected cubic Bézier curves to the current figure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The user must keep the original points if they are needed. The original points are converted to cubic Bézier control points internally, therefore there is no mechanism for returning the original points. If the first point and the last point in the array are not the same point, the curve is closed by connecting these two points. The tension value cannot be set for this method, and defaults to a value equivalent to 0.5.

  Adds a closed curve to this path. A cardinal spline curve is used because the curve travels through each of the points in the array.

  An array of structures that represents the points that define the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The user must keep the original points if they are needed. The original points are converted to cubic Bézier control points internally, therefore there is no mechanism for returning the original points. If the first point and the last point in the array are not the same point, the curve is closed by connecting these two points. The tension value cannot be set for this method, and defaults to a value equivalent to 0.5.

  Adds a closed curve to this path. A cardinal spline curve is used because the curve travels through each of the points in the array.

  An array of structures that represents the points that define the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The user must keep the original points if they are needed. The original points are converted to cubic Bézier control points internally, therefore there is no mechanism for returning the original points. If the first point and the last point in the array are not the same point, the curve is closed by connecting these two points.

  Adds a closed curve to this path. A cardinal spline curve is used because the curve travels through each of the points in the array.

  An array of structures that represents the points that define the curve. A value between from 0 through 1 that specifies the amount that the curve bends between points, with 0 being the smallest curve (sharpest corner) and 1 being the smoothest curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The user must keep the original points if they are needed. The original points are converted to cubic Bézier control points internally, therefore there is no mechanism for returning the original points. If the first point and the last point in the array are not the same point, the curve is closed by connecting these two points.

  Adds a closed curve to this path. A cardinal spline curve is used because the curve travels through each of the points in the array.

  An array of structures that represents the points that define the curve. A value between from 0 through 1 that specifies the amount that the curve bends between points, with 0 being the smallest curve (sharpest corner) and 1 being the smoothest curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The user must keep the original points if they are needed. The original points are converted to cubic Bézier control points internally, therefore there is no mechanism for returning the original points.

  Adds a spline curve to the current figure. A cardinal spline curve is used because the curve travels through each of the points in the array.

  An array of structures that represents the points that define the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The user must keep the original points if they are needed. The original points are converted to cubic Bézier control points internally, therefore there is no mechanism for returning the original points.

  Adds a spline curve to the current figure. A cardinal spline curve is used because the curve travels through each of the points in the array.

  An array of structures that represents the points that define the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The user must keep the original points if they are needed. The original points are converted to cubic Bézier control points internally, therefore there is no mechanism for returning the original points.

  Adds a spline curve to the current figure.

  An array of structures that represents the points that define the curve. A value that specifies the amount that the curve bends between control points. Values greater than 1 produce unpredictable results. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The user must keep the original points if they are needed. The original points are converted to cubic Bézier control points internally, therefore there is no mechanism for returning the original points.

  Adds a spline curve to the current figure.

  An array of structures that represents the points that define the curve. A value that specifies the amount that the curve bends between control points. Values greater than 1 produce unpredictable results. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  The user must keep the original points if they are needed. The original points are converted to cubic Bézier control points internally, therefore there is no mechanism for returning the original points.

  The curve begins at the point in the array specified by the parameter and includes the number of points (segments) specified by .

  Adds a spline curve to the current figure.

  An array of structures that represents the points that define the curve. The index of the element in the array that is used as the first point in the curve. A value that specifies the amount that the curve bends between control points. Values greater than 1 produce unpredictable results. A value that specifies the amount that the curve bends between control points. Values greater than 1 produce unpredictable results. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  The user must keep the original points if they are needed. The original points are converted to cubic Bézier control points internally, therefore there is no mechanism for returning the original points.

  The curve begins at the point in the array specified by , and includes the number of points (segments) specified by .

  Adds a spline curve to the current figure.

  An array of structures that represents the points that define the curve. The index of the element in the array that is used as the first point in the curve. The number of segments used to draw the curve. A segment can be thought of as a line connecting two points. A value that specifies the amount that the curve bends between control points. Values greater than 1 produce unpredictable results. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'Drawing.Rectangle' To be added

  Adds an ellipse to the current path.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added: an object of type 'Drawing.RectangleF' To be added

  Adds an ellipse to the current path.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` `` To be added

  Adds an ellipse to the current path.

  The x-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse. The y-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse. The width of the bounding rectangle that defines the ellipse. The height of the bounding rectangle that defines the ellipse. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added

  Adds an ellipse to the current path.

  The x-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse. The y-coordinate of the upper left corner of the bounding rectangle that defines the ellipse. The width of the bounding rectangle that defines the ellipse. The height of the bounding rectangle that defines the ellipse. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  This method adds the line segment defined by the specified points to the end of this . If there are previous lines or curves in the , a line segment is drawn to connect the last point in the path to the first point in the new line segment.

  Appends a line segment to this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  This method adds the line segment defined by the specified points to the end of this . If there are previous lines or curves in the , a line segment is drawn to connect the last point in the path to the first point in the new line segment.

  Appends a line segment to this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` ``

  This method adds the line segment defined by the specified points to the end of the current figure. If there are previous lines or curves in the , a line segment is drawn to connect the last point in the path to the first point in the new line segment.

  Appends a line segment to the current figure.

  The x-coordinate of the starting point of the line. The y-coordinate of the starting point of the line. The x-coordinate of the endpoint of the line. The y-coordinate of the endpoint of the line. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  This method adds the line segment defined by the specified points to the end of this . If there are previous lines or curves in the , a line segment is drawn to connect the last point in the path to the first point in the new line segment.

  Appends a line segment to this .

  The x-coordinate of the starting point of the line. The y-coordinate of the starting point of the line. The x-coordinate of the endpoint of the line. The y-coordinate of the endpoint of the line. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If there are previous lines or curves in the figure, a line is added to connect the endpoint of the previous segment the starting point of the line. The parameter specifies an array of endpoints. The first two specify the first line. Each additional point specifies the endpoint of a line segment whose starting point is the endpoint of the previous line.

  Appends a series of connected line segments to the end of this .

  An array of structures that represents the points that define the line segments to add. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If there are previous lines or curves in the figure, a line is added to connect the endpoint of the previous segment the starting point of the line. The parameter specifies an array of endpoints. The first two specify the first line. Each additional point specifies the endpoint of a line segment whose starting point is the endpoint of the previous line.

  Appends a series of connected line segments to the end of this .

  An array of structures that represents the points that define the line segments to add. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Appends the specified to this path.

  The to add. A Boolean value that specifies whether the first figure in the added path is part of the last figure in this path. A value of true specifies that (if possible) the first figure in the added path is part of the last figure in this path. A value of false specifies that the first figure in the added path is separate from the last figure in this path. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  The pie shape is defined by a partial outline of an ellipse and the two radial lines that intersect the endpoints of the partial outline. The partial outline begins at (measured clockwise from the x-axis) and ends at + .

  Adds the outline of a pie shape to this path.

  A that represents the bounding rectangle that defines the ellipse from which the pie is drawn. The starting angle for the pie section, measured in degrees clockwise from the x-axis. The angle between and the end of the pie section, measured in degrees clockwise from . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` ``

  The pie shape is defined by a partial outline of an ellipse and the two radial lines that intersect the endpoints of the partial outline. The partial outline begins at (measured clockwise from the x-axis) and ends at + .

  Adds the outline of a pie shape to this path.

  The x-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse from which the pie is drawn. The y-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse from which the pie is drawn. The width of the bounding rectangle that defines the ellipse from which the pie is drawn. The height of the bounding rectangle that defines the ellipse from which the pie is drawn. The starting angle for the pie section, measured in degrees clockwise from the x-axis. The angle between and the end of the pie section, measured in degrees clockwise from . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` ``

  The pie shape is defined by a partial outline of an ellipse and the two radial lines that intersect the endpoints of the partial outline. The partial outline begins at (measured clockwise from the x-axis) and ends at + .

  Adds the outline of a pie shape to this path.

  The x-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse from which the pie is drawn. The y-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse from which the pie is drawn. The width of the bounding rectangle that defines the ellipse from which the pie is drawn. The height of the bounding rectangle that defines the ellipse from which the pie is drawn. The starting angle for the pie section, measured in degrees clockwise from the x-axis. The angle between and the end of the pie section, measured in degrees clockwise from . 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The points in the array specify the vertices of a polygon. If the first point in the array is not the same as the last point, those two points are connected to close the polygon.

  Adds a polygon to this path.

  An array of structures that defines the polygon to add. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The points in the array specify the vertices of a polygon. If the first point in the array is not the same as the last point, those two points are connected to close the polygon.

  Adds a polygon to this path.

  An array of structures that defines the polygon to add. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Adds a rectangle to this path.

  A that represents the rectangle to add. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Adds a rectangle to this path.

  A that represents the rectangle to add. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Adds a series of rectangles to this path.

  An array of structures that represents the rectangles to add. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Adds a series of rectangles to this path.

  An array of structures that represents the rectangles to add. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added

  Adds a text string to this path.

  The to add. A that represents the name of the font with which the test is drawn. A enumeration that represents style information about the text (bold, italic, and so on). This must be cast as an integer (see the example code later in this section). The height of the em square box that bounds the character. A that represents the point where the text starts. A that specifies text formatting information, such as line spacing and alignment. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added

  Adds a text string to this path.

  The to add. A that represents the name of the font with which the test is drawn. A enumeration that represents style information about the text (bold, italic, and so on). This must be cast as an integer (see the example code later in this section). The height of the em square box that bounds the character. A that represents the point where the text starts. A that specifies text formatting information, such as line spacing and alignment. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added

  Adds a text string to this path.

  The to add. A that represents the name of the font with which the test is drawn. A enumeration that represents style information about the text (bold, italic, and so on). This must be cast as an integer (see the example code later in this section). The height of the em square box that bounds the character. A that represents the rectangle that bounds the text. A that specifies text formatting information, such as line spacing and alignment. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added

  Adds a text string to this path.

  The to add. A that represents the name of the font with which the test is drawn. A enumeration that represents style information about the text (bold, italic, and so on). This must be cast as an integer (see the example code later in this section). The height of the em square box that bounds the character. A that represents the rectangle that bounds the text. A that specifies text formatting information, such as line spacing and alignment. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Use the method to create a marker at the current location in a . Use the method to iterate through the existing markers in a path.

  Markers are used to separate groups of subpaths. One or more subpaths can be contained between two markers.

  Clears all markers from this path.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object To be added

  Creates an exact copy of this path.

  The this method creates, cast as an object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Closes all open figures in this path and starts a new figure. It closes each open figure by connecting a line from its endpoint to its starting point.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Closes the current figure and starts a new figure. If the current figure contains a sequence of connected lines and curves, the method closes the loop by connecting a line from the endpoint to the starting point.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Calling allows the resources used by this to be reallocated for other purposes.

  Releases all resources used by this .

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.FillMode To be added: an object of type 'FillMode' To be added

  Gets or sets a enumeration that determines how the interiors of shapes in this are filled.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Converts each curve in this path into a sequence of connected line segments.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Applies the specified transform and then converts each curve in this into a sequence of connected line segments.

  A by which to transform this before flattening. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Converts each curve in this into a sequence of connected line segments.

  A by which to transform this before flattening. Specifies the maximum permitted error between the curve and its flattened approximation. A value of 0.25 is the default. Reducing the flatness value will increase the number of line segments in the approximation. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.RectangleF

  The size of the returned bounding rectangle is influenced by the type of end caps, pen width, and pen miter limit, and therefore produces a "loose fit" to the bounded path. The approximate formula is: the initial bounding rectangle is inflated by pen width, and this result is multiplied by the miter limit, plus some additional margin to allow for end caps.

  Returns a rectangle that bounds this .

  A that represents a rectangle that bounds this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.RectangleF ``

  The size of the returned bounding rectangle is influenced by the type of end caps, pen width, and pen miter limit, and therefore produces a "loose fit" to the bounded path. The approximate formula is: the initial bounding rectangle is inflated by pen width, and this result is multiplied by the miter limit, plus some additional margin to allow for end caps.

  Returns a rectangle that bounds this when this path is transformed by the specified .

  A that represents a rectangle that bounds this .

  The that specifies a transformation to be applied to this path before the bounding rectangle is calculated. This path is not permanently transformed; the transformation is used only during the process of calculating the bounding rectangle. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.RectangleF `` ``

  The size of the returned bounding rectangle is influenced by the type of end caps, pen width, and pen miter limit, and therefore produces a "loose fit" to the bounded path. The approximate formula is: the initial bounding rectangle is inflated by pen width, and this result is multiplied by the miter limit, plus some additional margin to allow for end caps.

  Returns a rectangle that bounds this when the current path is transformed by the specified and drawn with the specified .

  A that represents a rectangle that bounds this .

  The that specifies a transformation to be applied to this path before the bounding rectangle is calculated. This path is not permanently transformed; the transformation is used only during the process of calculating the bounding rectangle. The with which to draw the . 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.PointF To be added

  Gets the last point in the array of this .

  A that represents the last point in this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` ``

  This method tests to see if the outline of a given path is rendered visible at the specified point.

  Indicates whether the specified point is contained within (under) the outline of this when drawn with the specified .

  This method returns true if the specified point is contained within the outline of this when drawn with the specified ; otherwise, false.

  A that specifies the location to test. The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  This method tests to see if the outline of a given path is rendered visible at the specified point.

  Indicates whether the specified point is contained within (under) the outline of this when drawn with the specified .

  This method returns true if the specified point is contained within the outline of this when drawn with the specified ; otherwise, false.

  A that specifies the location to test. The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` ``

  This method tests to see if the outline of a given path is rendered visible at the specified point. The coordinates of the point to be tested are given in world coordinates. The transform matrix of is temporarily applied before testing for visibility.

  Indicates whether the specified point is contained within (under) the outline of this when drawn with the specified and using the specified .

  This method returns true if the specified point is contained within the outline of this as drawn with the specified ; otherwise, false.

  A that specifies the location to test. The to test. The for which to test visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` ``

  This method tests to see if the outline of a given path is rendered visible at the specified point. The coordinates of the point to be tested are given in world coordinates. The transform matrix of is temporarily applied before testing for visibility.

  Indicates whether the specified point is contained within (under) the outline of this when drawn with the specified and using the specified .

  This method returns true if the specified point is contained within (under) the outline of this as drawn with the specified ; otherwise, false.

  A that specifies the location to test. The to test. The for which to test visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` ``

  This method tests to see if the outline of a given path is rendered visible at the specified point.

  Indicates whether the specified point is contained within (under) the outline of this when drawn with the specified .

  This method returns true if the specified point is contained within the outline of this when drawn with the specified ; otherwise, false.

  The x-coordinate of the point to test. The y-coordinate of the point to test. The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` ``

  This method tests to see if the outline of a given path is rendered visible at the specified point.

  Indicates whether the specified point is contained within (under) the outline of this when drawn with the specified .

  This method returns true if the specified point is contained within the outline of this when drawn with the specified ; otherwise, false.

  The x-coordinate of the point to test. The y-coordinate of the point to test. The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` `` ``

  This method tests to see if the outline of a given path is rendered visible at the specified point. The coordinates of the point to be tested are given in world coordinates. The transform matrix of is temporarily applied before testing for visibility.

  Indicates whether the specified point is contained within (under) the outline of this when drawn with the specified and using the specified .

  This method returns true if the specified point is contained within the outline of this as drawn with the specified ; otherwise, false.

  The x-coordinate of the point to test. The y-coordinate of the point to test. The to test. The for which to test visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` `` ``

  This method tests to see if the outline of a given path is rendered visible at the specified point. The coordinates of the point to be tested are given in world coordinates. The transform matrix of the parameter is temporarily applied before testing for visibility.

  Indicates whether the specified point is contained within (under) the outline of this when drawn with the specified and using the specified .

  This method returns true if the specified point is contained within (under) the outline of this as drawn with the specified ; otherwise, false.

  The x-coordinate of the point to test. The y-coordinate of the point to test. The to test. The for which to test visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Indicates whether the specified point is contained within this .

  This method returns true if the specified point is contained within this ; otherwise, false.

  A that represents the point to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Indicates whether the specified point is contained within this .

  This method returns true if the specified point is contained within this ; otherwise, false.

  A that represents the point to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  The coordinates of the point to be tested are given in world coordinates. The transform matrix of the parameter is temporarily applied before testing for visibility.

  Indicates whether the specified point is contained within this .

  This method returns true if the specified point is contained within this ; otherwise, false.

  A that represents the point to test. The for which to test visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` ``

  The coordinates of the point to be tested are given in world coordinates. The transform matrix of the parameter is temporarily applied before testing for visibility.

  Indicates whether the specified point is contained within this .

  This method returns true if the specified point is contained within this; otherwise, false.

  A that represents the point to test. The for which to test visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added

  Indicates whether the specified point is contained within this .

  This method returns true if the specified point is contained within this ; otherwise, false.

  The x-coordinate of the point to test. The y-coordinate of the point to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added

  Indicates whether the specified point is contained within this .

  This method returns true if the specified point is contained within this ; otherwise, false.

  The x-coordinate of the point to test. The y-coordinate of the point to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` ``

  The coordinates of the point to be tested are given in world coordinates. The transform matrix of is temporarily applied before testing for visibility.

  Indicates whether the specified point is contained within this , using the specified .

  This method returns true if the specified point is contained within this ; otherwise, false.

  The x-coordinate of the point to test. The y-coordinate of the point to test. The for which to test visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` ``

  The coordinates of the point to be tested are given in world coordinates. The transform matrix of the parameter is temporarily applied before testing for visibility.

  Indicates whether the specified point is contained within this in the visible clip region of the specified .

  This method returns true if the specified point is contained within this ; otherwise, false.

  The x-coordinate of the point to test. The y-coordinate of the point to test. The for which to test visibility. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Drawing2D.PathData To be added: an object of type 'PathData' To be added

  Gets a that encapsulates arrays of points () and types () for this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.PointF[] To be added: an object of type 'Drawing.PointF []' To be added

  Gets the points in the path.

  1.0.5000.0
  2.0.0.0
- Property
  System.Byte[] To be added: an object of type 'byte []'

  The array of bytes returned by the property specifies point types and flags for the data points in a path. For each point, bits 0 through 2 indicate the type of a point, and bits 3 through 7 hold a set of flags that specify the attributes of a point. The following table shows possible values and their meanings.

  Value

  Meaning

  0

  Indicates that the point is the start of a figure.

  1

  Indicates that the point is one of the two endpoints of a line.

  3

  Indicates that the point is an endpoint or control point of a cubic Bézier spline.

  0x7

  Masks all bits except for the three low-order bits, which indicate the point type.

  0x20

  Specifies that the point is a marker.

  0x80

  Specifies that the point is the last point in a closed subpath (figure).

  Gets the types of the corresponding points in the array.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of elements in the or the array.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Empties the and arrays and sets the to .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Reverses the order of points in the array of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  This method creates a marker on the path that can be used to separate sections of the path. You can then use the methods to iterate through the markers in the path.

  Markers are used to separate groups of subpaths. One or more subpaths can be contained between two markers in the path.

  Sets a marker on this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The user must keep the original points if they are needed. The original points are converted to cubic Bézier control points internally, therefore there is no mechanism for returning the original points.

  This method starts a new subpath in the path. Subpaths allow you to separate a path into sections and use the class to iterate through the subpaths.

  Starts a new figure without closing the current figure. All subsequent points added to the path are added to this new figure.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The transformation can scale, translate, rotate, or skew the .

  Applies a transform matrix to this .

  A that represents the transformation to apply. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Applies a warp transform, defined by a rectangle and a parallelogram, to this .

  An array of structures that define a parallelogram to which the rectangle defined by is transformed. The array can contain either three or four elements. If the array contains three elements, the lower-right corner of the parallelogram is implied by the first three points. A that represents the rectangle that is transformed to the parallelogram defined by . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Applies a warp transform, defined by a rectangle and a parallelogram, to this .

  An array of structures that define a parallelogram to which the rectangle defined by is transformed. The array can contain either three or four elements. If the array contains three elements, the lower-right corner of the parallelogram is implied by the first three points. A that represents the rectangle that is transformed to the parallelogram defined by . A that specifies a geometric transform to apply to the path. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added

  Applies a warp transform, defined by a rectangle and a parallelogram, to this .

  An array of structures that defines a parallelogram to which the rectangle defined by is transformed. The array can contain either three or four elements. If the array contains three elements, the lower-right corner of the parallelogram is implied by the first three points. A that represents the rectangle that is transformed to the parallelogram defined by . A that specifies a geometric transform to apply to the path. A enumeration that specifies whether this warp operation uses perspective or bilinear mode. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added

  Applies a warp transform, defined by a rectangle and a parallelogram, to this .

  An array of structures that define a parallelogram to which the rectangle defined by is transformed. The array can contain either three or four elements. If the array contains three elements, the lower-right corner of the parallelogram is implied by the first three points. A that represents the rectangle that is transformed to the parallelogram defined by . A that specifies a geometric transform to apply to the path. A enumeration that specifies whether this warp operation uses perspective or bilinear mode. A value from 0 through 1 that specifies how flat the resulting path is. For more information, see the methods. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method creates an outline around the original lines in this , with a distance between the existing lines and the new outline equal to that of the width of the used in the call to . If you want to fill the space between the lines you must use the rather then the .

  Adds an additional outline to the path.

  A that specifies the width between the original outline of the path and the new outline this method creates. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method creates an outline around the original lines in this , with a distance between the existing lines and the new outline equal to that of the width of the used in the call to . If you want to fill the space between the lines you must use the rather then the .

  Adds an additional outline to the .

  A that specifies the width between the original outline of the path and the new outline this method creates. A that specifies a transform to apply to the path before widening. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  This method creates an outline around the original lines in this , with a distance between the existing lines and the new outline equal to that of the width of the used in the call to . If you want to fill the space between the lines you must use the rather then the .

  Replaces this with curves that enclose the area that is filled when this path is drawn by the specified pen.

  A that specifies the width between the original outline of the path and the new outline this method creates. A that specifies a transform to apply to the path before widening. A value that specifies the flatness for curves. 1.0.5000.0 2.0.0.0